BizKitHub
DocsAPI ReferenceLedger/bff/ledger/journal/list
getLedgerAdmin BFF

/bff/ledger/journal/list

Journal entries with filters

LedgergetBffLedgerJournalList

Parameters

16 query

Query parameters

· 16
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
fiscalYearstring | numberOptional
dateFromstringOptional
Example2027-01-15
dateTostringOptional
Example2027-01-15
accountCodestringOptional
Length: 0–16
Exampleexample_accountCode
sourceTypestringOptional
Length: 0–32
Exampleexample_sourceType
status"draft" | "posted"Optional
origin"auto" | "suggestion" | "manual" | "backfill" | "closing" | "opening"Optional
querystringOptional
Length: 0–100
Exampleexample_query
filterFulltextQuerystringOptional

DataGrid fulltext (same as query).

Length: 0–100
Exampleexample_filterFulltextQuery
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
amountMinstringOptional

Number; blank or invalid = no filter.

Length: 0–32
Exampleexample_amountMin
amountMaxstringOptional

Number; blank or invalid = no filter.

Length: 0–32
Exampleexample_amountMax
onlyReversalsstringOptional
Exampleexample_onlyReversals
pagestring | numberOptional
Range: 1–∞
limitstring | numberOptional

Clamped to the DataGrid maximum.

Range: 1–∞

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/journal/list

get
curl -X GET "https://api.bizkithub.com/bff/ledger/journal/list?entityId=example_entityId&dateFrom=2027-01-15&dateTo=2027-01-15&accountCode=example_accountCode&sourceType=example_sourceType&query=example_query&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy&amountMin=example_amountMin&amountMax=example_amountMax&onlyReversals=example_onlyReversals" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key